Skip to content
API referencePlatformPlatform api keys

Create_platform_api_key

POST
/platform/v1/api-keys

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create-key request body. The label is validated (trimmed, 1–100 chars) in ApiKeyService.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/api-keys" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "key": {    "created_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key_prefix": "string",    "last_used_at": "2019-08-24T14:15:22Z",    "name": "string"  },  "secret": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}